import Color from "../../system/Color";
import { Font } from "../../system/Font";
import { StiChangesInterceptor } from "../../system/interfaces";
import StiJson from "../../system/StiJson";
export declare class StiDescriptionSettings implements StiChangesInterceptor {
    changesInterceptor: StiChangesInterceptor;
    protected _font: Font;
    protected _color: Color;
    constructor(changesInterceptor: StiChangesInterceptor);
    propertyChanged(propName: string, value: any, oldObject: any): void;
    get color(): Color;
    set color(value: Color);
    get font(): Font;
    set font(value: Font);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
